Bug 221004 - Review Request: jeta - Horde SSH Java Applet
Review Request: jeta - Horde SSH Java Applet
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-12-30 04:52 EST by Brandon Holbrook
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-03 00:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Brandon Holbrook 2006-12-30 04:52:45 EST
Spec URL: http://theholbrooks.org/RPMS/jeta.spec
SRPM URL: http://theholbrooks.org/RPMS/jeta-0-1.0.rc2.1.src.rpm

Jeta is the Horde module that provides a Java SSH interface to login to the
webserver (or another server with the use of additional relay software).

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with jeta)
please visit http://www.horde.org/.
Comment 1 Brandon Holbrook 2006-12-30 04:56:43 EST
Since JTA explicitly says in several locations that is for "non-commercial use
only", I removed all traces of it from this package.  It still functions fine
with  SSHTermApplet (which is the default anyway).  One last issue we may need
to work out: jeta is currently set to "inactive" in horde's registry.php, but
Jeta doesn't show up and won't do anything until that gets changed to "active".
 Should we programmatically do that upon install or inform our users that they
need to do that manually?
Comment 2 Jason Tibbitts 2007-01-28 02:14:32 EST
I promise not to take so long with this one.

First off, the release should be "0.1.rc2%{?dist}"; you can append ".1" once the
package is in the repo and you need to tweak a non-development branch without
rebuilding any of the newer branches.

About registry.php, what stops us from just shipping the horde package with jeta
enabled in registry.php?  I don't think it's worth it to try and change it; that
can get rather complicated and it's best to avoid that kind of thing unless it's
really trivial to do, and even then it's still usually better to just leave it
up to the admin.

I guess the fundamental question is why upstream doesn't enable jeta by default.
 I suppose it's because it hasn't been released yet.  Or do things break if
"status" is set to "active" when the application isn't installed?
Comment 3 Brandon Holbrook 2007-01-28 21:33:18 EST
Before you get too far... I just got an email from horde's announce list that
jeta 1.0 final was just released today.  Stand by until I get new RPMs up!
Comment 4 Brandon Holbrook 2007-01-28 22:00:26 EST
Spec URL: http://theholbrooks.org/RPMS/jeta.spec
SRPM URL: http://theholbrooks.org/RPMS/jeta-1.0-1.src.rpm

New 1.0 final RPMs.  As I'm sure future versions of horde will start shipping
jeta pre-enabled, I will do the same in horde's registry.php
Comment 5 Jason Tibbitts 2007-02-17 23:40:15 EST
So, first the usual rpmlint errors that we see with these apps:

W: jeta conffile-without-noreplace-flag /etc/horde/jeta/conf.xml
W: jeta conffile-without-noreplace-flag /etc/horde/jeta/prefs.php.dist
  Indeed, these should not be noreplace.

E: jeta non-standard-uid /etc/horde/jeta/prefs.php apache
E: jeta non-standard-gid /etc/horde/jeta/prefs.php apache
E: jeta non-readable /etc/horde/jeta/prefs.php 0660
E: jeta non-standard-uid /etc/horde/jeta apache
E: jeta non-standard-gid /etc/horde/jeta apache
E: jeta non-standard-dir-perm /etc/horde/jeta 0770
E: jeta non-standard-uid /etc/horde/jeta/conf.xml apache
E: jeta non-standard-gid /etc/horde/jeta/conf.xml apache
E: jeta non-readable /etc/horde/jeta/conf.xml 0660
E: jeta non-standard-uid /etc/horde/jeta/prefs.php.dist apache
E: jeta non-standard-gid /etc/horde/jeta/prefs.php.dist apache
E: jeta non-readable /etc/horde/jeta/prefs.php.dist 0640
   Ownerships and permissions are as necessary for this application.

E: jeta htaccess-file /usr/share/horde/jeta/lib/.htaccess
   Indeed, this is an .htaccess file.
   I do now understand why rpmlint complains here: it is better to include
   such restrictions in the apache config file, and then apache can be set to 
   "AllowOverride none", improving performance.  Perhaps something to think
   about for future revisions.

So everything's fine with this package.  I had to enable it manually in
registry.php, and I think the horde package should just enable it.  I imagine
upstream will change things in the next horde release now that jeta is
officially released.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.
* License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint output is OK.
* final provides and requires are sane:
   config(jeta) = 1.0-1.fc7
   jeta = 1.0-1.fc7
   config(jeta) = 1.0-1.fc7
   horde >= 3
   php >= 4.3.0

* %check is not present; manual testing shows that things work fine.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 6 Brandon Holbrook 2007-03-01 01:23:05 EST
New Package CVS Request
Package Name: jeta
Short Description: Horde Java SSH Application
Owners: fedora@theholbrooks.org
Branches: FC-5 FC-6
Comment 7 Brandon Holbrook 2007-03-03 00:46:35 EST
Imported, tagged, built.

Note You need to log in before you can comment on or make changes to this bug.